### Function

# Ggit Repository init_repository

#### Declaration [src]

    GgitRepository*
    ggit_repository_init_repository (
      GFile* location,
      gboolean is_bare,
      GError** error
    )

#### Description [src]

Creates a new git repository in the given folder.

#### Parameters

`location`

  Type: `GFile`

  The location of the repository.

  The data is owned by the caller of the function.

`is_bare`

  Type: `gboolean`

  If `TRUE`, a git repository without a working directory is created at the pointed path. If `FALSE`, provided path will be considered as the working directory into which the .git directory will be created.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitRepository`

A newly created `GgitRepository`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.